org.eclipse.jface.text.templates

## Class TemplateVariableType

- java.lang.Object
- - org.eclipse.jface.text.templates.TemplateVariableType

    public final class TemplateVariableType
    extends Object

Value object that represents the type of a template variable. A type is defined by its name and may have parameters.

Since:
  3.3
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getName()` Returns the type name of this variable type.
`List<String>` `getParams()` Returns the unmodifiable and possibly empty list of parameters
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

Returns the type name of this variable type.

Returns:
  the type name of this variable type

#### getParams

    public List<String> getParams()

Returns the unmodifiable and possibly empty list of parameters

Returns:
  the list of parameters

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`